# Ground Zero for Yamagi Quake II

Ground Zero for Yamagi Quake II is a bugfixed version of the second
official missionpack released for Quake II. It's based upon the Quake
II SDK source code and licensed under GPL version 2:

* [LICENSE](https://github.com/yquake2/rogue/blob/master/LICENSE)

Hundreds of bugs were fixed and some convenience features added. The
missionpack is intended to be used with Yamagi Quake II, but it's also
fully backward compatible with the last Quake II pointrelease 3.20 and
may work with other source ports.

Officially supported operating systems are:

* FreeBSD
* Linux
* Windows

Beside theses Ground Zero for Yamagi Quake II has community support
for MacOS and most other unixoid operating systems, including NetBSD,
OpenBSD and Solaris.


## Development

Ground Zero for Yamagi Quake II is a community driven project and
lives from community involvement. Please report bugs in our issue
tracker:

* [Issue Tracker](https://github.com/yquake2/rogue/issues)

We are always open to code contributions, no matter if they are small
bugfixes or bigger features. However, Yamagi Quake II is a conservative
project with big focus on stability and backward compatibility. We don't
accept breaking changes. When in doubt please open an issue and ask if a
contribution in welcome before putting too much work into it. Open a
pull request to submit code:

* [Pull Requests](https://github.com/yquake2/rogue/pulls)

Also have a look at our contributors guide:

* [Contributors Guide](https://github.com/yquake2/yquake2/blob/master/doc/080_contributing.md)


## Documentation

Yamagi Quake II has rather extensive documentation covering all relevant
areas from installation and configuration to package building. Have a
look at the documentation index:

* [Documentation Index](https://github.com/yquake2/yquake2/blob/master/doc/010_index.md)


## Releases

Ground Zero for Yamagi Quake II releases at an irregular schedule. The
official releases with source code tarballs and prebuild Windows
binaries can be found at the homepage:

* [Homepage](https://www.yamagi.org/quake2/)

Our CI builds **unsupported** Linux, MacOS and Windows binaries at every
commit. The artifacts can be found here:

* [Github Actions](https://github.com/yquake2/rogue/actions)
